#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeplasmaver	5.27.10
%define		qtver		5.15.2
%define		kpname		plasma-remotecontrollers
%define		kf5ver		5.39.0

Summary:	plasma-remotecontrollers
Name:		kp5-%{kpname}
Version:	5.27.10
Release:	1
License:	LGPL v2.1+
Group:		X11/Applications
Source0:	https://download.kde.org/stable/plasma/%{kdeplasmaver}/%{kpname}-%{version}.tar.xz
# Source0-md5:	a69142a27ab62c583fa5d4d4577427ff
Patch0:		udev.patch
URL:		https://kde.org/
BuildRequires:	Qt5Core-devel >= 5.15.2
BuildRequires:	Qt5DBus-devel >= 5.15.2
BuildRequires:	Qt5Gui-devel >= 5.15.2
BuildRequires:	Qt5Multimedia-devel
BuildRequires:	Qt5Network-devel >= 5.15.0
BuildRequires:	Qt5Qml-devel
BuildRequires:	Qt5Quick-devel
BuildRequires:	Qt5WaylandClient-devel
BuildRequires:	cmake >= 3.16.0
BuildRequires:	gettext
BuildRequires:	kf5-kcmutils-devel >= 5.68.0
BuildRequires:	kf5-kconfig-devel >= 5.99.0
BuildRequires:	kf5-kcoreaddons-devel >= 5.99.0
BuildRequires:	kf5-kdeclarative-devel >= 5.68.0
BuildRequires:	kf5-ki18n-devel >= 5.68.0
BuildRequires:	kf5-kitemmodels-devel >= 5.98.0
BuildRequires:	kf5-knotifications-devel >= 5.68.0
BuildRequires:	kf5-kpackage-devel >= 5.68.0
BuildRequires:	kf5-kwindowsystem-devel >= 5.68.0
BuildRequires:	kf5-plasma-wayland-protocols-devel >= 1.10.0
BuildRequires:	kf5-solid-devel >= 5.68.0
BuildRequires:	kp5-kscreenlocker-devel >= %{version}
BuildRequires:	kp5-plasma-workspace-devel >= %{version}
BuildRequires:	libcec-devel
BuildRequires:	libevdev-devel
BuildRequires:	ninja
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	xz
Obsoletes:	kp5-plasma-phone-components < 5.24.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt5dir		%{_libdir}/qt5

%description
This project translates events from various input devices to
keypresses on a keyboard and pointer events (mouse movement).

%description -l pl.UTF-8

%prep
%setup -q -n %{kpname}-%{version}
%patch0 -p1

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DHTML_INSTALL_DIR=%{_kdedocdir}
%ninja_build -C build

%if %{with tests}
ctest
%endif

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kpname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{kpname}.lang
%defattr(644,root,root,755)
%doc README.md
/etc/xdg/autostart/org.kde.plasma-remotecontrollers.desktop
/etc/xdg/plasma-remotecontrollersrc
%attr(755,root,root) %{_bindir}/plasma-remotecontrollers
%{_libdir}/qt5/plugins/kcms/kcm_mediacenter_remotecontrollers.so
%dir %{_libdir}/qt5/qml/org/kde/plasma/remotecontrollers
%{_libdir}/qt5/qml/org/kde/plasma/remotecontrollers/qmldir
/lib/udev/rules.d/40-uinput.rules
%{_desktopdir}/org.kde.plasma-remotecontrollers.desktop
%{_datadir}/knotifications5/plasma-remotecontrollers.notifyrc
%dir %{_datadir}/kpackage/kcms/kcm_mediacenter_remotecontrollers
%dir %{_datadir}/kpackage/kcms/kcm_mediacenter_remotecontrollers/contents
%dir %{_datadir}/kpackage/kcms/kcm_mediacenter_remotecontrollers/contents/ui
%dir %{_datadir}/kpackage/kcms/kcm_mediacenter_remotecontrollers/contents/ui/+mediacenter
%dir %{_datadir}/kpackage/kcms/kcm_mediacenter_remotecontrollers/contents/ui/delegates
%{_datadir}/kpackage/kcms/kcm_mediacenter_remotecontrollers/contents/ui/+mediacenter/DeviceMap.qml
%{_datadir}/kpackage/kcms/kcm_mediacenter_remotecontrollers/contents/ui/+mediacenter/DeviceSetupView.qml
%dir %{_datadir}/kpackage/kcms/kcm_mediacenter_remotecontrollers/contents/ui/+mediacenter/delegates
%{_datadir}/kpackage/kcms/kcm_mediacenter_remotecontrollers/contents/ui/+mediacenter/delegates/DeviceDelegate.qml
%{_datadir}/kpackage/kcms/kcm_mediacenter_remotecontrollers/contents/ui/+mediacenter/main.qml
%{_datadir}/kpackage/kcms/kcm_mediacenter_remotecontrollers/contents/ui/DeviceMap.qml
%{_datadir}/kpackage/kcms/kcm_mediacenter_remotecontrollers/contents/ui/DeviceSetupView.qml
%{_datadir}/kpackage/kcms/kcm_mediacenter_remotecontrollers/contents/ui/delegates/DeviceDelegate.qml
%{_datadir}/kpackage/kcms/kcm_mediacenter_remotecontrollers/contents/ui/delegates/MapButtonDelegate.qml
%{_datadir}/kpackage/kcms/kcm_mediacenter_remotecontrollers/contents/ui/main.qml
%{_datadir}/kpackage/kcms/kcm_mediacenter_remotecontrollers/metadata.desktop
%{_datadir}/kpackage/kcms/kcm_mediacenter_remotecontrollers/metadata.json
%{_datadir}/kservices5/kcm_mediacenter_remotecontrollers.desktop
%{_datadir}/metainfo/org.kde.plasma.remotecontrollers.metainfo.xml
%{_datadir}/qlogging-categories5/plasma-remotecontrollers.categories
%{_datadir}/dbus-1/interfaces/org.kde.plasma.remotecontrollers.CEC.xml
%{_datadir}/dbus-1/interfaces/org.kde.plasma.remotecontrollers.ControllerManager.xml
%{_datadir}/dbus-1/interfaces/org.kde.plasma.remotecontrollers.EVDEV.xml
%changelog
* Sat Dec 16 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kp5-plasma-remotecontrollers.git;a=log;h=master

* Wed Dec 06 2023 Witold Filipczyk <witekfl@poczta.onet.pl> d3e5319
- updated to 5.27.10

* Wed Oct 25 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 45bb375
- updated to 5.27.9

* Wed Sep 13 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 5d7e75f
- updated to 5.27.8

* Wed Aug 02 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 68e2e2b
- updated to 5.27.7; cmake -B build

* Wed Jun 21 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 167dce8
- updated to 5.27.6

* Sat May 13 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> a39f428
- relup

* Sat May 13 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 5b05bab
- adding udev patch
- packaging dirs
- BRs

* Wed May 10 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 5368ebf
- updated to 5.27.5

* Tue Apr 04 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 819feaf
- updated to 5.27.4

* Wed Mar 15 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 8ab2825
- updated to 5.27.3

* Wed Mar 01 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 0d2da82
- updated to 5.27.2

* Wed Feb 22 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 7ee1c32
- updated to 5.27.1

* Tue Feb 14 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 8d8bb6c
- updated to 5.27.0

* Wed Jan 04 2023 Witold Filipczyk <witekfl@poczta.onet.pl> c8f66f1
- updated to 5.26.5

* Tue Nov 29 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 36e6166
- updated to 5.26.4

* Wed Nov 09 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 850646a
- updated to 5.26.3

* Thu Oct 27 2022 Witold Filipczyk <witekfl@poczta.onet.pl> e05c631
- updated to 5.26.2

* Wed Oct 19 2022 Witold Filipczyk <witekfl@poczta.onet.pl> c6f1d71
- updated to 5.26.1

* Wed Oct 12 2022 Witold Filipczyk <witekfl@poczta.onet.pl> e893790
- new

